Index: branches/SHM-dev/source/App/TAppDecoder/TAppDecTop.cpp
===================================================================
--- branches/SHM-dev/source/App/TAppDecoder/TAppDecTop.cpp	(revision 1203)
+++ branches/SHM-dev/source/App/TAppDecoder/TAppDecTop.cpp	(revision 1210)
@@ -245,6 +245,7 @@
       {
         bNewPicture = m_acTDecTop[nalu.m_layerId].decode(nalu, m_iSkipFrame, m_aiPOCLastDisplay[nalu.m_layerId], curLayerId, bNewPOC);
-#if POC_RESET_IDC_DECODER
-        if ( (bNewPicture && m_acTDecTop[nalu.m_layerId].getParseIdc() == 3) || (m_acTDecTop[nalu.m_layerId].getParseIdc() == 0) )
+
+#if SVC_POC
+        if( (bNewPicture && m_acTDecTop[nalu.m_layerId].getParseIdc() == 3) || (m_acTDecTop[nalu.m_layerId].getParseIdc() == 0) )
 #else
         if (bNewPicture)
@@ -265,5 +266,5 @@
 #endif
         }
-#if POC_RESET_IDC_DECODER
+#if SVC_POC
         else if(m_acTDecTop[nalu.m_layerId].getParseIdc() == 1) 
         {
@@ -281,6 +282,6 @@
     }
 
-#if POC_RESET_IDC_DECODER
-    if ( ( (bNewPicture && m_acTDecTop[nalu.m_layerId].getParseIdc() == 3) || m_acTDecTop[nalu.m_layerId].getParseIdc() == 0 || !bitstreamFile || nalu.m_nalUnitType == NAL_UNIT_EOS ) && 
+#if SVC_POC
+    if( ( (bNewPicture && m_acTDecTop[nalu.m_layerId].getParseIdc() == 3) || m_acTDecTop[nalu.m_layerId].getParseIdc() == 0 || !bitstreamFile || nalu.m_nalUnitType == NAL_UNIT_EOS ) && 
         !m_acTDecTop[nalu.m_layerId].getFirstSliceInSequence() )
 #else
@@ -310,5 +311,5 @@
     }
 
-#if POC_RESET_IDC_DECODER
+#if SVC_POC
     if( bNewPicture && m_acTDecTop[nalu.m_layerId].getParseIdc() == 0 )
     {
@@ -342,5 +343,5 @@
       }
 
-#if POC_RESET_IDC_DECODER
+#if SVC_POC
       if( bNewPicture && m_acTDecTop[nalu.m_layerId].getParseIdc() != 0 )
       // New picture, slice header parsed but picture not decoded
@@ -1401,5 +1402,5 @@
 
     // Find the status of the DPB
-#if POC_RESET_IDC_DECODER
+#if SVC_POC
     xFindDPBStatus(listOfPocs, listOfPocsInEachLayer, listOfPocsPositionInEachLayer, dpbStatus, false);
 #else
@@ -1786,7 +1787,5 @@
                             , std::vector<Int> *listOfPocsPositionInEachLayer
                             , DpbStatus &dpbStatus
-#if POC_RESET_IDC_DECODER
                             , Bool notOutputCurrAu
-#endif
                             )
 {
@@ -1817,12 +1816,12 @@
           vps = pic->getSlice(0)->getVPS();
         }
-#if POC_RESET_IDC_DECODER
+
         if( !(pic->isCurrAu() && notOutputCurrAu ) )
         {
-#endif
           std::vector<Int>::iterator it;
           if( pic->getOutputMark() ) // && pic->getPOC() > m_aiPOCLastDisplay[i])
           {
             it = find( listOfPocs.begin(), listOfPocs.end(), pic->getPOC() ); // Check if already included
+
             if( it == listOfPocs.end() )  // New POC value - i.e. new AU - add to the list
             {
@@ -1832,12 +1831,12 @@
             listOfPocsPositionInEachLayer [i].push_back( picPositionInList  );  // For ease of access
           }
+
           if( pic->getSlice(0)->isReferenced() || pic->getOutputMark() )
           {
             dpbStatus.m_numPicsInSubDpb[i]++;  // Count pictures that are "used for reference" or "needed for output"
           }
-#if POC_RESET_IDC_DECODER
-        }
-#endif
-      }
+        }
+      }
+
       iterPic++;
       picPositionInList++;
@@ -1874,5 +1873,4 @@
 }  
 
-#if POC_RESET_IDC_DECODER
 Void TAppDecTop::outputAllPictures(Int layerId, Bool notOutputCurrPic)
 {
@@ -1900,5 +1898,4 @@
   }
 }
-#endif
 #endif
 
Index: branches/SHM-dev/source/App/TAppDecoder/TAppDecTop.h
===================================================================
--- branches/SHM-dev/source/App/TAppDecoder/TAppDecTop.h	(revision 1203)
+++ branches/SHM-dev/source/App/TAppDecoder/TAppDecTop.h	(revision 1210)
@@ -111,14 +111,10 @@
 
   Void xOutputAndMarkPic( TComPic *pic, const Char *reconFile, const Int layerId, Int &pocLastDisplay, DpbStatus &dpbStatus);
-#if POC_RESET_IDC_DECODER
   Void outputAllPictures(Int layerId, Bool notOutputCurrAu);
-#endif
   Void xFindDPBStatus( std::vector<Int> &listOfPocs
                             , std::vector<Int> *listOfPocsInEachLayer
                             , std::vector<Int> *listOfPocsPositionInEachLayer
                             , DpbStatus &dpbStatus
-#if POC_RESET_IDC_DECODER
                             , Bool notOutputCurrAu = true
-#endif
                             );
 
